libsigc++ 3.8.1

Public Types | List of all members
sigc::functor_trait< T_functor > Struct Template Reference
Functors

Trait that specifies the appropriate functor type of any callable type. More...

`#include <sigc++/functors/functor_trait.h>`

## Public Types
using | functor_type = T_functor

## Detailed Description

template <typename T_functor>
struct sigc::functor_trait< T_functor >

Trait that specifies the appropriate functor type of any callable type.

Template specializations for function pointers and for class methods are provided.

Template Parameters

  T_functor | Functor type.

## Member Typedef Documentation

## ◆ functor_type

template <typename T_functor >

using sigc::functor_trait< T_functor >::functor_type = T_functor